# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-HTML-TagCloud 
Version:    0.37
Release:    alt1_4
# lib/HTML/TagCloud.pm -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Perl
Summary:    Generate An HTML Tag Cloud 
Source:     http://search.cpan.org/CPAN/authors/id/R/RO/ROBERTSD/HTML-TagCloud-%{version}.tar.gz
Url:        http://search.cpan.org/dist/HTML-TagCloud
BuildArch:  noarch

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(Module/Build/Compat.pm)
BuildRequires: perl(Test/More.pm)
# optional tests
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Test/Pod/Coverage.pm)


Source44: import.info

%description
The HTML::TagCloud module enables you to generate "tag clouds" in HTML. Tag
clouds serve as a textual way to visualize terms and topics that are used
most frequently. The tags are sorted alphabetically and a larger font is
used to indicate more frequent term usage.

This module provides a simple interface to generating a CSS-based HTML tag
cloud. You simply pass in a set of tags, their URL and their count.  This
module outputs style-sheet-based HTML.  You may use the included CSS or use
your own.

%prep
%setup -q -n HTML-TagCloud-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README 
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1_1
- fc import

